Bug 599946 - FTBFS adonthell-0.3.5-0.8.fc12
FTBFS adonthell-0.3.5-0.8.fc12
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: adonthell (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mathieu Bridon
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-06-03 17:05 EDT by FTBFS
Modified: 2010-07-27 17:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 17:05:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (815.79 KB, text/plain)
2010-06-03 17:05 EDT, FTBFS
no flags Details
build.log (23.86 KB, text/plain)
2010-06-03 17:05 EDT, FTBFS
no flags Details
mock.log (1.01 KB, text/plain)
2010-06-03 17:05 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-06-03 17:05:04 EDT
adonthell-0.3.5-0.8.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-06-03 17:05:07 EDT
Created attachment 420546 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-06-03 17:05:09 EDT
Created attachment 420547 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-06-03 17:05:10 EDT
Created attachment 420548 [details]
mock.log

mock.log for i386
Comment 4 Mathieu Bridon 2010-06-13 04:36:48 EDT
Thanks for the bug report, I just submitted it upstream:
https://savannah.nongnu.org/bugs/?30123
Comment 5 Mathieu Bridon 2010-06-14 13:08:06 EDT
Upstream thinks that's a bug in zlib, and apparently other packages are impacted (I was told cgit is), even in other distros.
Comment 6 Hicham HAOUARI 2010-06-14 14:45:55 EDT
here is the link :

http://koji.fedoraproject.org/koji/taskinfo?taskID=2250154
Comment 7 Mathieu Bridon 2010-07-27 17:05:36 EDT
Adonthell was successfully rebuilt by Dave Malcolm as part of the Python 2.7 mass-rebuild:
http://koji.fedoraproject.org/koji/buildinfo?buildID=186742

I didn't change anything, but appraently the issue was fixed in the zlib package, see:
http://koji.fedoraproject.org/koji/buildinfo?buildID=178419
https://bugzilla.redhat.com/show_bug.cgi?id=591317

So I guess I can close this bug report. :)

Note You need to log in before you can comment on or make changes to this bug.